classification
Title: Extract documentation theme into a separate package
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Thea Flowers, brett.cannon, docs@python, dstufft, mdk, ncoghlan, ned.deily
Priority: normal Keywords:

Created on 2017-06-09 04:07 by Thea Flowers, last changed 2018-03-01 21:07 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2017 merged Thea Flowers, 2017-06-09 04:19
Messages (3)
msg295482 - (view) Author: Thea Flowers (Thea Flowers) * Date: 2017-06-09 04:07
As part of an effort to align the packaging documentation (packaging.python.org) with the CPython docs, PyPA has extracted the theme used in the CPython documentation into a separate repository and package (https://github.com/python/python-docs-theme).

This bug is to track removing the now duplicate theme code from CPython and relying on the externalized version.


Context links:
1. https://mail.python.org/pipermail/python-dev/2017-May/148029.html
2. https://github.com/pypa/python-packaging-user-guide/pull/305
msg313109 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-03-01 21:02
New changeset bf63e8d55fd2853df3bb99d66de7f428107aadb3 by Ned Deily (Jon Wayne Parrott) in branch 'master':
bpo-30607: Use external python-doc-theme (GH-2017)
https://github.com/python/cpython/commit/bf63e8d55fd2853df3bb99d66de7f428107aadb3
msg313110 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-03-01 21:07
Thanks, Jon, and every one else who helped with and commented on the PR.
History
Date User Action Args
2018-03-01 21:07:07ned.deilysetstatus: open -> closed
versions: + Python 3.8, - Python 3.7
messages: + msg313110

resolution: fixed
stage: resolved
2018-03-01 21:02:58ned.deilysetnosy: + ned.deily
messages: + msg313109
2017-12-21 16:19:10mdksetnosy: + mdk
2017-06-09 04:19:28Thea Flowerssetpull_requests: + pull_request2083
2017-06-09 04:07:59Thea Flowerscreate